org.springframework.data.relational.core.query

## Interface Criteria.CriteriaStep

Enclosing class:
  Criteria

    public static interface Criteria.CriteriaStep

Interface declaring terminal builder methods to build a `Criteria`.

### Method Summary

All Methods Instance Methods Abstract Methods
`Criteria` `between(Object begin, Object end)` Creates a `Criteria` using between (BETWEEN begin AND end).
`Criteria` `greaterThan(Object value)` Creates a `Criteria` using greater-than(>).
`Criteria` `greaterThanOrEquals(Object value)` Creates a `Criteria` using greater-than or equal to (>=).
`Criteria` `in(Collection<?> values)` Creates a `Criteria` using `IN`.
`Criteria` `in(Object... values)` Creates a `Criteria` using `IN`.
`Criteria` `is(Object value)` Creates a `Criteria` using equality.
`Criteria` `isFalse()` Creates a `Criteria` using `IS FALSE`.
`Criteria` `isNotNull()` Creates a `Criteria` using `IS NOT NULL`.
`Criteria` `isNull()` Creates a `Criteria` using `IS NULL`.
`Criteria` `isTrue()` Creates a `Criteria` using `IS TRUE`.
`Criteria` `lessThan(Object value)` Creates a `Criteria` using less-than (<).
`Criteria` `lessThanOrEquals(Object value)` Creates a `Criteria` using less-than or equal to (<=).
`Criteria` `like(Object value)` Creates a `Criteria` using `LIKE`.
`Criteria` `not(Object value)` Creates a `Criteria` using equality (is not).
`Criteria` `notBetween(Object begin, Object end)` Creates a `Criteria` using not between (NOT BETWEEN begin AND end).
`Criteria` `notIn(Collection<?> values)` Creates a `Criteria` using `NOT IN`.
`Criteria` `notIn(Object... values)` Creates a `Criteria` using `NOT IN`.
`Criteria` `notLike(Object value)` Creates a `Criteria` using `NOT LIKE`.

### Method Detail

#### is

    Criteria is(Object value)

Creates a `Criteria` using equality.

Parameters:
  `value` - must not be null.

#### not

    Criteria not(Object value)

Creates a `Criteria` using equality (is not).

Parameters:
  `value` - must not be null.

#### in

    Criteria in(Object... values)

Creates a `Criteria` using `IN`.

Parameters:
  `values` - must not be null.

#### in

    Criteria in(Collection<?> values)

Creates a `Criteria` using `IN`.

Parameters:
  `values` - must not be null.

#### notIn

    Criteria notIn(Object... values)

Creates a `Criteria` using `NOT IN`.

Parameters:
  `values` - must not be null.

#### notIn

    Criteria notIn(Collection<?> values)

Creates a `Criteria` using `NOT IN`.

Parameters:
  `values` - must not be null.

#### between

    Criteria between(Object begin,
                     Object end)

Creates a `Criteria` using between (BETWEEN begin AND end).

Parameters:
  `begin` - must not be null.
  `end` - must not be null.
Since:
  2.2

#### notBetween

    Criteria notBetween(Object begin,
                        Object end)

Creates a `Criteria` using not between (NOT BETWEEN begin AND end).

Parameters:
  `begin` - must not be null.
  `end` - must not be null.
Since:
  2.2

#### lessThan

    Criteria lessThan(Object value)

Creates a `Criteria` using less-than (<).

Parameters:
  `value` - must not be null.

#### lessThanOrEquals

    Criteria lessThanOrEquals(Object value)

Creates a `Criteria` using less-than or equal to (<=).

Parameters:
  `value` - must not be null.

#### greaterThan

    Criteria greaterThan(Object value)

Creates a `Criteria` using greater-than(>).

Parameters:
  `value` - must not be null.

#### greaterThanOrEquals

    Criteria greaterThanOrEquals(Object value)

Creates a `Criteria` using greater-than or equal to (>=).

Parameters:
  `value` - must not be null.

#### like

    Criteria like(Object value)

Creates a `Criteria` using `LIKE`.

Parameters:
  `value` - must not be null.

#### notLike

    Criteria notLike(Object value)

Creates a `Criteria` using `NOT LIKE`.

Parameters:
  `value` - must not be null
Returns:
  a new `Criteria` object

#### isNull

    Criteria isNull()

Creates a `Criteria` using `IS NULL`.

#### isNotNull

    Criteria isNotNull()

Creates a `Criteria` using `IS NOT NULL`.

#### isTrue

    Criteria isTrue()

Creates a `Criteria` using `IS TRUE`.

Returns:
  a new `Criteria` object

#### isFalse

    Criteria isFalse()

Creates a `Criteria` using `IS FALSE`.

Returns:
  a new `Criteria` object